# vim: set ft=spec: -*- rpm-spec -*-
# $Id: vim-plugin-cvscommand,v 1.2 2005/02/18 21:57:12 raorn Exp $

%define plugname cvscommand
#define plugtype 
%define plugver  1.67

Name: vim-plugin-%plugname
Version: %plugver
Release: alt1

Summary: VIm plugin for manipulating CVS-controlled source files
Group: Editors
License: Distributable
Url: http://www.vim.org/scripts/script.php?script_id=90

Packager: VIm Plugins Development Team <vim-plugins@packages.altlinux.org>

BuildArch: noarch

Source: %plugname.zip
Patch: %name-1.67-alt-fixes.patch

PreReq: vim-common >= 4:6.3.007-alt1
Requires: cvs

BuildPreReq: vim-devel unzip

%description
The CVSCommand plugin provides global ex commands for manipulating
CVS-controlled source files.  In general, each command operates on
the current buffer and accomplishes a separate cvs function, such as
update, commit, log, and others.  The results of each operation are
displayed in a scratch buffer.  Several buffer variables are defined
for those scratch buffers.

To enable this plugin define "use_cvscommand" variable somewhere
in your .vimrc file.

%prep
%setup -q -c
%patch -p1

%install
%__mkdir_p %buildroot{%vim_doc_dir,%vim_syntax_dir,%vim_plugin_dir}
%__install -p -m644 doc/cvscommand.txt %buildroot%vim_doc_dir/
%__install -p -m644 plugin/cvscommand.vim %buildroot%vim_plugin_dir/
%__install -p -m644 syntax/CVSAnnotate.vim %buildroot%vim_syntax_dir/

%post
%update_vimhelp

%postun
%clean_vimhelp

%files
%vim_doc_dir/cvscommand.txt
%vim_plugin_dir/cvscommand.vim
%vim_syntax_dir/CVSAnnotate.vim

%changelog
* Sat Feb 19 2005 Sir Raorn <raorn@altlinux.ru> 1.67-alt1
- Built for Sisyphus


